Bug 911686 - Many uwsgi plugins are not packaged
Summary: Many uwsgi plugins are not packaged
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uwsgi
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-15 16:13 UTC by Guido Berhoerster
Modified: 2014-09-27 10:02 UTC (History)
1 user (show)

Fixed In Version: uwsgi-2.0.7-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-26 21:47:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Guido Berhoerster 2013-02-15 16:13:06 UTC
The uwsgi currently only provides a subset of the available plugins, some rather essential plugins such as dummy, router_*, or zergpool are not packaged, also the mod_uwsgi Apache module is not provided.

Comment 1 Guido Berhoerster 2013-02-15 16:13:58 UTC
See https://github.com/gber/uwsgi/commit/6e1d617e165bf58c703bdcb9443d6a415df61244 for a suggested fix.

Comment 2 Fedora End Of Life 2013-04-03 15:32:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Jorge Gallegos 2013-10-05 01:05:58 UTC
Hi,

I believe the plugins you requested are already packaged, but I do agree there are a bunch more that need to be packaged. For reference, this is the profile I'm using to package this rpm: http://pkgs.fedoraproject.org/cgit/uwsgi.git/tree/fedora.ini

Comment 4 Fedora Update System 2014-09-12 23:17:56 UTC
uwsgi-2.0.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/uwsgi-2.0.7-1.fc21

Comment 5 Fedora Update System 2014-09-13 16:35:17 UTC
Package uwsgi-2.0.7-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing uwsgi-2.0.7-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10804/uwsgi-2.0.7-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-18 15:20:04 UTC
uwsgi-2.0.7-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/uwsgi-2.0.7-2.fc21

Comment 7 Fedora Update System 2014-09-27 10:02:18 UTC
uwsgi-2.0.7-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.